Retrieves all the article status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e7758c58-f13e-4754-909e-3489e3680d1e",
"article_status_id": "9c3d4e7e-6ee2-44e0-9e64-7d3ec3148108",
"article_id": "1777725a-5bbf-431c-8e93-fac67f94b1dd",
"article_code": "sample string 4",
"sales_organization_id": "bb0cb20b-3579-4a11-937e-d4633cb57999",
"modified_dateutc": "2026-10-30T05:04:13.6479085+00:00"
}